Kerbal Space Program - Bug #882

Parachutes on planes
07/07/2013 04:25 PM - APHSpace
Description

My information: KSP version .20.2 Windows 7 (64-bit)

How to reproduce it:

You need to build a space plane.

Put the smallest girder on the very back.

Put the smallest parachute (MK-16) on the girder.
Take off.

Deploy parachutes.

Note: You need to have B9 installed to open the craft.

What happens:
When | deploy parachute on my plane, it send the command pod off at light speed in a random direction.

History

#1 - 07/08/2013 09:09 PM - rditto48801
From the bug reporting guide. (important parts highlighted/underlined)

2. Excluding variables

Now, the second step in properly reporting a bug, is to make sure it will happen consistently in a mod-free, clean install of the game, and
using a completely new spacecraft. This will help us exclude any external variables from the problem, and things become a lot simpler. If the bug
can only be reproduced with a specific spacecraft design, please include a .craft file of the simplest design where the issue still happens in your
report. In cases where the issue is only present with mod parts, please make sure you isolate the part that causes the issue, and add to

your report a link to where the mod may be downloaded.

Is this issue only occurring with B9 parts on the craft, or can you reproduce it using just a stock craft?
If it only occurs with B9 parts, is there any specific B9 part that is affected?

For those that will be testing this, here's the link to B9 Aerospace.
http://kerbalspaceport.com/0-20-2-b9-aerospace-pack-r3-1/

| suspect part clipping, mainly the smallest girder (a main offender to clipping issues | know of), and the small parachute sometimes seeming to be
partly mounted 'in' items it is attached to.

#2 - 07/09/2013 12:43 AM - rditto48801
| did some testing (XP 32 bit, KSP 0.20.2). | removed all mods and installed only B9 (v3.2).

| was surprised to see it is basically a craft of mainly B9 parts.

After some testing... (like two dozen tests, with some design revisions for troubleshooting purposes)

| had all sorts of failures (mainly breaks/explosions occurring once physics kicking in), but not the described bug.

The main offender: Structural failure between S2 Fuselage Wide Body 4x1.25m Engine Mount and S2 Wide Body Cargo Bay 6m, and between S2
LFO Tank and S2 Fuel Tank.

| think part of the issues might be due to all of the parts clipping into each other.

The main wings clipped into by the opening cargo bay doors. (It kind of helps to go to action groups, select the cargo bays, and select the pop up
option to have them be closed by default, since opening before physics kicking in seems to be part of the problem | had.)

The Saber S engines slightly clipping into each other due to their over/under setup.

The cubic octagonal struts surface attached at an angle.
http://kerbalspaceport.com/0-20-2-b9-aerospace-pack-r3-1/

The small parachutes slightly clipping into the fuselage due to the cubic struts.
A number of control surfaces clipping into adjacent control surfaces.

One thing | had to do early on was move the craft forward in the SPH, so it did not appear on the runway with the rear hanging off of the runway, and
relocating the middle bottom landing gear off in front of the nearby side ones, so the landing gear are better able to distribute the weight when the
physics kick in, which sort of reduces the chances of the craft just having stuff breaking/exploding on physics kicking in. Another revision slapped
landing gear near the ends of the main wings.

Also of note, | would suggest using radial parachutes, even if they are a little heavier, since cubic octagonal struts cause issues when clipping into
other parts, such as in this case with being surface attached at an angle. Also, lack of vertical stabilizers makes steering a bit of an issue.

| did not experience the issue with the cockpit being shot off in a random direction, but | have seen other parts get 'launched' at 'high speed' and land
a few hundred meters away when things broke in the rear as physics kicked in.

When the craft did stay together, the main thing with the chutes that happened was the chutes getting tore off when they fully opened when in flight at
low altitude.

A basic stock craft | made had no issues with chutes on cubic struts beyond the chutes being tore off, or about snapping my basic test craft in half on
one test.

Hopefully this initial troubleshooting can help track down the cause, since | seem to have found issues other than the reported issue. (Dr. Watson
comes to mind right now...)

#3 - 07/10/2013 01:23 PM - APHSpace

thank you, so the main issue is then, the clipping of the cubic struts. | find that strange how that did not happen to you, | did it many times (10+) and |
went faster than light every time.

#4 - 07/11/2013 12:37 AM - rditto48801

| have heard of issues before where cockpits (and | even think EVA'd Kerbals) being shot off at extreme speeds, but | don't recall their causes right
now, beyond that part clipping does occasionally cause craft to 'spontaneously dis-assemble'. | am guessing something is causing the physics engine
to mess up if it is shooting off the cockpit at speeds in excess of 300,000,000 m/s.

There might be other variables, relating to hardware of software. For example, | hear some processors have issues with loading speeds in KSP/Unity.
A few more questions for troubleshooting purposes.

Do you have any other mods or plugins installed?

Are you using v3.2 of B9 Aerospace?

Have you modified any of the stock or B9 parts you used on the craft, or are they all original/unaltered?

Do you happen to use any of the ingame 'cheat' options when this problem occurs for you?

Do you happen to have issues with lag or things slowing down in game with the craft in question?

One stray idea that may (or may not) be useful to try, for providing extra info.

Start up KSP, load the craft in question, and the moment the bug occurs, end flight, exit KSP, and get the Output Log (from the KSP_Data folder in
the main KSP directory). At the very least, it could give the devs (or mod makers) info needed to track down the cause of this bug.

#5 - 07/27/2015 06:04 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#6 - 07/17/2016 09:33 AM - TriggerAu

- Status changed from New to Needs Clarification

#7 - 07/17/2016 08:24 PM - Claw

- Status changed from Needs Clarification to Closed
- % Done changed from 0 to 100

- Platform Windows added

- Platform deleted (Win32)

No issues noted in stock 1.1.X.

Files

U_S_S physics hater!.craft 75.5 KB 07/07/2013 APHSpace
